"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingCommandBarClassNames: function() {
        return groundingCommandBarClassNames;
    },
    useGroundingCommandBarStyles_unstable: function() {
        return useGroundingCommandBarStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingCommandBarClassNames = {
    root: 'fai-GroundingCommandBar'
};
const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("r15mlcdh", null, [
    ".r15mlcdh{grid-area:commandBar;width:100%;display:grid;align-items:center;grid-template-columns:[tabs-start] 1fr [tabs-end actions-start] auto [actions-end];padding:var(--spacingVerticalM) var(--spacingHorizontalL);box-sizing:border-box;border-bottom:var(--strokeWidthThin) solid var(--colorNeutralStroke2);}"
]);
const useGroundingCommandBarStyles_unstable = (state)=>{
    'use no memo';
    const rootBaseClassName = useRootBaseClassName();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingCommandBarClassNames.root, rootBaseClassName, state.root.className);
    return state;
}; //# sourceMappingURL=useGroundingCommandBarStyles.styles.js.map
