"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingCommandBarTabClassNames: function() {
        return groundingCommandBarTabClassNames;
    },
    useGroundingCommandBarTabStyles_unstable: function() {
        return useGroundingCommandBarTabStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingCommandBarTabClassNames = {
    root: 'fai-GroundingCommandBarTab',
    tab: 'fai-GroundingCommandBarTab__tab'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    tab: {
        jrapky: 0,
        Frg6f3: 0,
        t21cq0: 0,
        B6of3ja: 0,
        B74szlk: "f167gg2u",
        z8tnut: "fp2oml8",
        Byoj8tv: "f1tdddsa"
    }
}, {
    d: [
        [
            ".f167gg2u{margin:var(--strokeWidthThick);}",
            {
                p: -1
            }
        ],
        ".fp2oml8{padding-top:var(--spacingVerticalSNudge);}",
        ".f1tdddsa{padding-bottom:var(--spacingVerticalSNudge);}"
    ]
});
const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("r1hycxyi", "r1pa6g7h", [
    ".r1hycxyi{min-width:max-content;padding-right:var(--spacingHorizontalSNudge);}",
    ".r1pa6g7h{min-width:max-content;padding-left:var(--spacingHorizontalSNudge);}"
]);
const useGroundingCommandBarTabStyles_unstable = (state)=>{
    'use no memo';
    const rootBaseClassName = useRootBaseClassName();
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingCommandBarTabClassNames.root, rootBaseClassName, state.root.className);
    if (state.tab) {
        state.tab.className = (0, _reactcomponents.mergeClasses)(groundingCommandBarTabClassNames.tab, styles.tab, state.tab.className);
    }
    return state;
}; //# sourceMappingURL=useGroundingCommandBarTabStyles.styles.js.map
