"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingCommandBarTabList_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingCommandBarTabList_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _GroundingCommandBarOverflowMenu = require("../GroundingCommandBarOverflowMenu");
const useGroundingCommandBarTabList_unstable = (props, ref)=>{
    const { children, onTabSelect, overflowPadding = 0, minimumVisible = 0 } = props;
    const { components, ...tabListState } = (0, _reactcomponents.useTabList_unstable)({
        appearance: 'subtle-circular',
        ...props
    }, ref);
    return {
        overflowPadding,
        minimumVisible,
        components: {
            ...components,
            overflowMenu: _GroundingCommandBarOverflowMenu.GroundingCommandBarOverflowMenu
        },
        ...tabListState,
        overflowMenu: _reactcomponents.slot.optional(props.overflowMenu, {
            defaultProps: {
                children,
                onTabSelect
            },
            renderByDefault: true,
            elementType: _GroundingCommandBarOverflowMenu.GroundingCommandBarOverflowMenu
        })
    };
}; //# sourceMappingURL=useGroundingCommandBarTabList.js.map
