"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingCommandBarTabListClassNames: function() {
        return groundingCommandBarTabListClassNames;
    },
    useGroundingCommandBarTabListStyles_unstable: function() {
        return useGroundingCommandBarTabListStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingCommandBarTabListClassNames = {
    root: 'fai-GroundingCommandBarTabList',
    overflowMenu: 'fai-GroundingCommandBarTabList__overflowMenu'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "f1j4951a",
        B68tc82: 0,
        Bmxbyg5: 0,
        Bpg54ce: "f1a3p1vp",
        a9b677: "fly5x3f",
        i8kkvl: 0,
        Belr9w4: 0,
        rmohyg: "f1c88k3p"
    }
}, {
    d: [
        [
            ".f1j4951a{grid-area:tabs;}",
            {
                p: -1
            }
        ],
        [
            ".f1a3p1vp{overflow:hidden;}",
            {
                p: -1
            }
        ],
        ".fly5x3f{width:100%;}",
        [
            ".f1c88k3p{gap:0;}",
            {
                p: -1
            }
        ]
    ]
});
const useGroundingCommandBarTabListStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingCommandBarTabListClassNames.root, styles.root, state.root.className);
    if (state.overflowMenu) {
        state.overflowMenu.className = (0, _reactcomponents.mergeClasses)(groundingCommandBarTabListClassNames.overflowMenu, state.overflowMenu.className);
    }
    (0, _reactcomponents.useTabListStyles_unstable)(state);
    return state;
}; //# sourceMappingURL=useGroundingCommandBarTabListStyles.styles.js.map
