"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingMenuItemSkeletonClassNames: function() {
        return groundingMenuItemSkeletonClassNames;
    },
    useGroundingMenuItemSkeletonStyles_unstable: function() {
        return useGroundingMenuItemSkeletonStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingMenuItemSkeletonClassNames = {
    root: 'fai-GroundingMenuItemSkeleton',
    avatar: 'fai-GroundingMenuItemSkeleton__avatar',
    primaryText: 'fai-GroundingMenuItemSkeleton__primaryText',
    secondaryText: 'fai-GroundingMenuItemSkeleton__secondaryText'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        mc9l5x: "f13qh94s",
        wkccdc: "ffh4ag3",
        Budl1dq: "fjxzuw",
        i8kkvl: "f1xcgk68",
        Belr9w4: "f778t4r",
        Bt984gj: "f122n59",
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f1gs42m9"
    },
    avatar: {
        nk6f5a: 0,
        Ijaq50: 0,
        h3tjnc: "f1sl4b4"
    },
    primaryText: {
        a9b677: "fiig9ch"
    },
    secondaryText: {
        a9b677: "fsqvldc"
    }
}, {
    d: [
        ".f13qh94s{display:grid;}",
        ".ffh4ag3{grid-template-rows:auto auto;}",
        ".fjxzuw{grid-template-columns:auto 1fr;}",
        ".f1xcgk68{column-gap:var(--spacingHorizontalM);}",
        ".f778t4r{row-gap:var(--spacingVerticalXS);}",
        ".f122n59{align-items:center;}",
        [
            ".f1gs42m9{padding:var(--spacingVerticalS) var(--spacingHorizontalNone);}",
            {
                p: -1
            }
        ],
        [
            ".f1sl4b4{grid-row:span 2;}",
            {
                p: -1
            }
        ],
        ".fiig9ch{width:min(100%, 136px);}",
        ".fsqvldc{width:min(100%, 184px);}"
    ]
});
const useGroundingMenuItemSkeletonStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingMenuItemSkeletonClassNames.root, styles.root, state.root.className);
    if (state.avatar) {
        state.avatar.className = (0, _reactcomponents.mergeClasses)(groundingMenuItemSkeletonClassNames.avatar, styles.avatar, state.avatar.className);
    }
    if (state.primaryText) {
        state.primaryText.className = (0, _reactcomponents.mergeClasses)(groundingMenuItemSkeletonClassNames.primaryText, styles.primaryText, state.primaryText.className);
    }
    if (state.secondaryText) {
        state.secondaryText.className = (0, _reactcomponents.mergeClasses)(groundingMenuItemSkeletonClassNames.secondaryText, styles.secondaryText, state.secondaryText.className);
    }
    return state;
}; //# sourceMappingURL=useGroundingMenuItemSkeletonStyles.styles.js.map
