"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingMenuSearchBoxClassNames: function() {
        return groundingMenuSearchBoxClassNames;
    },
    useGroundingMenuSearchBoxStyles_unstable: function() {
        return useGroundingMenuSearchBoxStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingMenuSearchBoxClassNames = {
    root: 'fai-GroundingMenuSearchBox',
    expandButton: 'fai-GroundingMenuSearchBox__expandButton',
    searchBox: 'fai-GroundingMenuSearchBox__searchBox'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    searchBox: {
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "f44lkw9",
        B9xav0g: "f1aperda",
        jc51t6: [
            "flj7gfc",
            "f18y1yak"
        ],
        cnmfks: [
            "f18y1yak",
            "flj7gfc"
        ],
        oetu4i: "f1xlaoq0",
        Be8ivqh: "f5knd3k"
    },
    collapsed: {
        Bqenvij: "f1mpe4l3",
        a9b677: "frkrog8",
        qhf8xq: "f1euv43f",
        Bh84pgu: "f1ekcaio"
    }
}, {
    d: [
        [
            ".f44lkw9{border-radius:var(--borderRadiusCircular);}",
            {
                p: -1
            }
        ],
        ".f1aperda{border-bottom-color:var(--colorNeutralStroke1);}",
        ".flj7gfc:after{left:var(--spacingHorizontalS);}",
        ".f18y1yak:after{right:var(--spacingHorizontalS);}",
        ".f1mpe4l3{height:1px;}",
        ".frkrog8{width:1px;}",
        ".f1euv43f{position:absolute;}",
        ".f1ekcaio{clip:rect(0px, 0px, 0px, 0px);}"
    ],
    h: [
        ".f1xlaoq0:hover{border-bottom-color:var(--colorNeutralStroke1Hover);}"
    ],
    a: [
        ".f5knd3k:active,.f5knd3k:focus-within{border-bottom-color:var(--colorNeutralStroke1Pressed);}"
    ]
});
const useGroundingMenuSearchBoxStyles_unstable = (state)=>{
    'use no memo';
    const { expanded } = state;
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingMenuSearchBoxClassNames.root, state.root.className);
    if (state.expandButton) {
        state.expandButton.className = (0, _reactcomponents.mergeClasses)(groundingMenuSearchBoxClassNames.expandButton, expanded && styles.collapsed, state.expandButton.className);
    }
    if (state.searchBox) {
        state.searchBox.className = (0, _reactcomponents.mergeClasses)(groundingMenuSearchBoxClassNames.searchBox, styles.searchBox, !expanded && styles.collapsed, state.searchBox.className);
    }
    return state;
}; //# sourceMappingURL=useGroundingMenuSearchBoxStyles.styles.js.map
