import { __styles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const groundingCommandBarActionsClassNames = {
  root: 'fai-GroundingCommandBarActions'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "fceb517",
    mc9l5x: "f22iagw",
    Beiy3e4: "f1063pyq",
    i8kkvl: 0,
    Belr9w4: 0,
    rmohyg: "fkln5zr"
  }
}, {
  d: [[".fceb517{grid-area:actions;}", {
    p: -1
  }], ".f22iagw{display:flex;}", ".f1063pyq{flex-direction:row;}", [".fkln5zr{gap:var(--spacingHorizontalXS);}", {
    p: -1
  }]]
});
/**
 * Apply styling to the GroundingCommandBarActions slots based on the state
 */
export const useGroundingCommandBarActionsStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(groundingCommandBarActionsClassNames.root, styles.root, state.root.className);
  // TODO Add class names to slots, for example:
  // state.mySlot.className = mergeClasses(styles.mySlot, state.mySlot.className);
  return state;
};
//# sourceMappingURL=useGroundingCommandBarActionsStyles.styles.js.map