import { __resetStyles, __styles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const groundingCommandBarTabClassNames = {
  root: 'fai-GroundingCommandBarTab',
  tab: 'fai-GroundingCommandBarTab__tab'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  tab: {
    jrapky: 0,
    Frg6f3: 0,
    t21cq0: 0,
    B6of3ja: 0,
    B74szlk: "f167gg2u",
    z8tnut: "fp2oml8",
    Byoj8tv: "f1tdddsa"
  }
}, {
  d: [[".f167gg2u{margin:var(--strokeWidthThick);}", {
    p: -1
  }], ".fp2oml8{padding-top:var(--spacingVerticalSNudge);}", ".f1tdddsa{padding-bottom:var(--spacingVerticalSNudge);}"]
});
const useRootBaseClassName = __resetStyles("r1hycxyi", "r1pa6g7h", [".r1hycxyi{min-width:max-content;padding-right:var(--spacingHorizontalSNudge);}", ".r1pa6g7h{min-width:max-content;padding-left:var(--spacingHorizontalSNudge);}"]);
/**
 * Apply styling to the GroundingCommandBarTab slots based on the state
 */
export const useGroundingCommandBarTabStyles_unstable = state => {
  'use no memo';

  const rootBaseClassName = useRootBaseClassName();
  const styles = useStyles();
  state.root.className = mergeClasses(groundingCommandBarTabClassNames.root, rootBaseClassName, state.root.className);
  if (state.tab) {
    state.tab.className = mergeClasses(groundingCommandBarTabClassNames.tab, styles.tab, state.tab.className);
  }
  return state;
};
//# sourceMappingURL=useGroundingCommandBarTabStyles.styles.js.map