# Change Log - @fluentui-copilot/react-grounding-menu

This log was last generated on Mon, 19 May 2025 18:03:24 GMT and should not be manually modified.

<!-- Start content -->

## [0.1.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.1.0)

Mon, 19 May 2025 18:03:24 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.16..@fluentui-copilot/react-grounding-menu_v0.1.0)

### Minor changes

- feat: Add submenuButton slot to GroundingMenuItem. ([PR #3009](https://github.com/microsoft/fluentai/pull/3009) by owcampbe@microsoft.com)

### Patches

- chore: Allow minor level changes. ([PR #2987](https://github.com/microsoft/fluentai/pull/2987) by owcampbe@microsoft.com)

## [0.0.16](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.16)

Sat, 03 May 2025 01:27:44 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.15..@fluentui-copilot/react-grounding-menu_v0.0.16)

### Patches

- chore: Bump @fluentui/react-components to 9.63.0. ([PR #2917](https://github.com/microsoft/fluentai/pull/2917) by estebanmu@microsoft.com)

## [0.0.15](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.15)

Wed, 30 Apr 2025 01:47:49 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.14..@fluentui-copilot/react-grounding-menu_v0.0.15)

### Patches

- chore: Bump @fluentui/react-components to 9.58.3. ([PR #2963](https://github.com/microsoft/fluentai/pull/2963) by owcampbe@microsoft.com)

## [0.0.14](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.14)

Sat, 19 Apr 2025 00:05:39 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.10..@fluentui-copilot/react-grounding-menu_v0.0.14)

### Patches

- chore: Remove unused peer dependency. ([PR #2891](https://github.com/microsoft/fluentai/pull/2891) by owcampbe@microsoft.com)
- fix: Fix Actions spacing, overflow button, and Tabs design to match spec. ([PR #2875](https://github.com/microsoft/fluentai/pull/2875) by owcampbe@microsoft.com)

## [0.0.10](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.10)

Thu, 20 Mar 2025 17:00:43 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.8..@fluentui-copilot/react-grounding-menu_v0.0.10)

### Patches

- chore: Updating imports of tokens to be imported from @fluentui-copilot/tokens instead of from @fluentui/react-components. ([PR #2745](https://github.com/microsoft/fluentai/pull/2745) by makotom@microsoft.com)
- feat: Add designVersion=next styles. ([PR #2808](https://github.com/microsoft/fluentai/pull/2808) by owcampbe@microsoft.com)

## [0.0.8](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.8)

Tue, 18 Feb 2025 22:28:02 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.7..@fluentui-copilot/react-grounding-menu_v0.0.8)

### Patches

- feat: By default don't collapse SearchBox when clicking on GroundingCommandBarTab. ([PR #2656](https://github.com/microsoft/fluentai/pull/2656) by owcampbe@microsoft.com)
- fix: Only select item on Enter. ([PR #2653](https://github.com/microsoft/fluentai/pull/2653) by owcampbe@microsoft.com)
- fix: Move padding gap to right side of GroundingCommandBarTab. ([PR #2655](https://github.com/microsoft/fluentai/pull/2655) by owcampbe@microsoft.com)
- fix: Add padding to GroundingCommandBarOverflowMenu for consistent height. ([PR #2649](https://github.com/microsoft/fluentai/pull/2649) by owcampbe@microsoft.com)

## [0.0.7](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.7)

Fri, 07 Feb 2025 02:02:09 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.6..@fluentui-copilot/react-grounding-menu_v0.0.7)

### Patches

- chore: Align types with upstream UseInputListboxFunctionality. ([PR #2625](https://github.com/microsoft/fluentai/pull/2625) by owcampbe@microsoft.com)
- feat: Allow passing overrideActionHandler, change Tab behavior. ([PR #2632](https://github.com/microsoft/fluentai/pull/2632) by owcampbe@microsoft.com)
- feat: Add GroundingMenuSearchBox component. ([PR #2595](https://github.com/microsoft/fluentai/pull/2595) by owcampbe@microsoft.com)
- feat: Make GroundingMenuCommandBarTab a non-recomposed component to fix overflow. ([PR #2619](https://github.com/microsoft/fluentai/pull/2619) by owcampbe@microsoft.com)

## [0.0.6](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.6)

Wed, 29 Jan 2025 01:37:03 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.5..@fluentui-copilot/react-grounding-menu_v0.0.6)

### Patches

- fix: Scroll listbox before entire GroundingMenu. ([PR #2545](https://github.com/microsoft/fluentai/pull/2545) by owcampbe@microsoft.com)
- chore: Export OptionOnSelectData. ([PR #2566](https://github.com/microsoft/fluentai/pull/2566) by owcampbe@microsoft.com)
- feat: Add onSelected callback to GroundingMenuItem. ([PR #2524](https://github.com/microsoft/fluentai/pull/2524) by owcampbe@microsoft.com)
- feat: Use selected tab label for overflow menu. ([PR #2578](https://github.com/microsoft/fluentai/pull/2578) by owcampbe@microsoft.com)

## [0.0.5](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.5)

Thu, 09 Jan 2025 01:15:37 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.4..@fluentui-copilot/react-grounding-menu_v0.0.5)

### Patches

- fix: Add missing property from controlSurfaceProps type. ([PR #2522](https://github.com/microsoft/fluentai/pull/2522) by owcampbe@microsoft.com)
- chore: Specify role of listbox since InputListbox now uses listbox semantics instead of menu. ([PR #2475](https://github.com/microsoft/fluentai/pull/2475) by estebanmu@microsoft.com)

## [0.0.4](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.4)

Wed, 18 Dec 2024 08:55:42 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.3..@fluentui-copilot/react-grounding-menu_v0.0.4)

### Patches

- chore: Banning * exports. ([PR #2477](https://github.com/microsoft/fluentai/pull/2477) by makotom@microsoft.com)

## [0.0.3](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.3)

Tue, 10 Dec 2024 20:22:07 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.2..@fluentui-copilot/react-grounding-menu_v0.0.3)

### Patches

- feat: Add GroundingMenuError component. ([PR #2455](https://github.com/microsoft/fluentai/pull/2455) by owcampbe@microsoft.com)
- feat: Add GroundingMenuItemSkeleton component and loading state example. ([PR #2437](https://github.com/microsoft/fluentai/pull/2437) by owcampbe@microsoft.com)

## [0.0.2](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.2)

Wed, 20 Nov 2024 23:38:56 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-grounding-menu_v0.0.1..@fluentui-copilot/react-grounding-menu_v0.0.2)

### Patches

- chore: Export useGroundingMenuFunctionality hook. ([PR #2408](https://github.com/microsoft/fluentai/pull/2408) by owcampbe@microsoft.com)

## [0.0.1](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-grounding-menu_v0.0.1)

Wed, 13 Nov 2024 02:03:42 GMT

### Patches

- feat: Initial preview release. ([PR #2356](https://github.com/microsoft/fluentai/pull/2356) by owcampbe@microsoft.com)
