"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    GroundingCommandBarOverflowMenuClassNames: function() {
        return GroundingCommandBarOverflowMenuClassNames;
    },
    useGroundingCommandBarOverflowMenuStyles_unstable: function() {
        return useGroundingCommandBarOverflowMenuStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _tokens = require("@fluentui-copilot/tokens");
const GroundingCommandBarOverflowMenuClassNames = {
    root: 'fai-GroundingCommandBarOverflowMenu',
    menuTrigger: 'fai-GroundingCommandBarOverflowMenu__menuTrigger',
    menuButton: 'fai-GroundingCommandBarOverflowMenu__menuButton',
    menuPopover: 'fai-GroundingCommandBarOverflowMenu__menuPopover',
    menuList: 'fai-GroundingCommandBarOverflowMenu__menuList'
};
const topBottomPadding = `calc(${_tokens.tokens.strokeWidthThin} + ${_tokens.tokens.strokeWidthThick}) ${_tokens.tokens.spacingHorizontalNone}`;
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        mc9l5x: "ftuwxu6",
        z8tnut: "f1e3qywj",
        Byoj8tv: "f1ha4k9u",
        z189sj: [
            "fdw0yi8",
            "fk8j09s"
        ]
    },
    menuButton: {
        Bahqtrf: "fk6fouc",
        Be2twd7: "fkhj508",
        Bhrd7zp: "figsok6",
        Bg96gwp: "f1i3iumi"
    }
}, {
    d: [
        ".ftuwxu6{display:inline-flex;}",
        ".f1e3qywj{padding-top:calc(var(--strokeWidthThin) + var(--strokeWidthThick)) var(--spacingHorizontalNone);}",
        ".f1ha4k9u{padding-bottom:calc(var(--strokeWidthThin) + var(--strokeWidthThick)) var(--spacingHorizontalNone);}",
        ".fdw0yi8{padding-right:var(--spacingHorizontalSNudge);}",
        ".fk8j09s{padding-left:var(--spacingHorizontalSNudge);}",
        ".fk6fouc{font-family:var(--fontFamilyBase);}",
        ".fkhj508{font-size:var(--fontSizeBase300);}",
        ".figsok6{font-weight:var(--fontWeightRegular);}",
        ".f1i3iumi{line-height:var(--lineHeightBase300);}"
    ]
});
const useGroundingCommandBarOverflowMenuStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(GroundingCommandBarOverflowMenuClassNames.root, styles.root, state.root.className);
    if (state.menuButton) {
        state.menuButton.className = (0, _reactcomponents.mergeClasses)(GroundingCommandBarOverflowMenuClassNames.menuButton, styles.menuButton, state.menuButton.className);
    }
    if (state.menuPopover) {
        state.menuPopover.className = (0, _reactcomponents.mergeClasses)(GroundingCommandBarOverflowMenuClassNames.menuPopover, state.menuPopover.className);
    }
    if (state.menuList) {
        state.menuList.className = (0, _reactcomponents.mergeClasses)(GroundingCommandBarOverflowMenuClassNames.menuList, state.menuList.className);
    }
    return state;
}; //# sourceMappingURL=useGroundingCommandBarOverflowMenuStyles.styles.js.map
