"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingCommandBarTab_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingCommandBarTab_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _utils = require("../../utils");
const useGroundingCommandBarTab_unstable = (props, ref)=>{
    const { className, style, value: userValue, ...primary } = props;
    const value = (0, _utils.useGroundingCommandBarTabValue)(userValue);
    const selected = (0, _reactcomponents.useTabListContext_unstable)((ctx)=>ctx.selectedValue === value);
    return {
        components: {
            root: 'span',
            tab: _reactcomponents.Tab
        },
        root: _reactcomponents.slot.always(props.root, {
            defaultProps: {
                className,
                style
            },
            elementType: 'span'
        }),
        tab: _reactcomponents.slot.always(props.tab, {
            defaultProps: {
                ...primary,
                ref,
                value
            },
            elementType: _reactcomponents.Tab
        }),
        value,
        selected
    };
}; //# sourceMappingURL=useGroundingCommandBarTab.js.map
