"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingMenuError_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingMenuError_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const useGroundingMenuError_unstable = (props, ref)=>{
    return {
        components: {
            root: 'div',
            image: 'img',
            heading: 'div',
            body: 'div'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        image: _reactcomponents.slot.optional(props.image, {
            defaultProps: {
                role: 'presentation'
            },
            elementType: 'img'
        }),
        heading: _reactcomponents.slot.optional(props.heading, {
            elementType: 'div'
        }),
        body: _reactcomponents.slot.optional(props.body, {
            elementType: 'div',
            renderByDefault: props.children ? true : undefined
        })
    };
}; //# sourceMappingURL=useGroundingMenuError.js.map
