"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingMenuErrorClassNames: function() {
        return groundingMenuErrorClassNames;
    },
    useGroundingMenuErrorStyles_unstable: function() {
        return useGroundingMenuErrorStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const groundingMenuErrorClassNames = {
    root: 'fai-GroundingMenuError',
    image: 'fai-GroundingMenuError__image',
    heading: 'fai-GroundingMenuError__heading',
    body: 'fai-GroundingMenuError__body'
};
const useRootClassName = (0, _reactcomponents.__resetStyles)("r12cbjla", null, [
    ".r12cbjla{display:flex;flex-direction:column;align-items:center;justify-content:center;gap:var(--spacingVerticalS);margin:auto;overflow:auto;max-height:100%;width:100%;}"
]);
const useImageClassName = (0, _reactcomponents.__resetStyles)("r1wsuzl7", null, [
    ".r1wsuzl7{width:64px;height:64px;}"
]);
const useHeadingClassName = (0, _reactcomponents.__resetStyles)("r1q81hz0", null, [
    ".r1q81hz0{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase500);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase500);}"
]);
const useGroundingMenuErrorStyles_unstable = (state)=>{
    'use no memo';
    const rootClassName = useRootClassName();
    const imageClassName = useImageClassName();
    const headingClassName = useHeadingClassName();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingMenuErrorClassNames.root, rootClassName, state.root.className);
    if (state.image) {
        state.image.className = (0, _reactcomponents.mergeClasses)(groundingMenuErrorClassNames.image, imageClassName, state.image.className);
    }
    if (state.heading) {
        state.heading.className = (0, _reactcomponents.mergeClasses)(groundingMenuErrorClassNames.heading, headingClassName, state.heading.className);
    }
    if (state.body) {
        state.body.className = (0, _reactcomponents.mergeClasses)(groundingMenuErrorClassNames.body, state.body.className);
    }
    return state;
}; //# sourceMappingURL=useGroundingMenuErrorStyles.styles.js.map
