"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingMenuItemSkeleton_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingMenuItemSkeleton_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const useGroundingMenuItemSkeleton_unstable = (props, ref)=>{
    return {
        components: {
            root: 'div',
            avatar: _reactcomponents.SkeletonItem,
            primaryText: _reactcomponents.SkeletonItem,
            secondaryText: _reactcomponents.SkeletonItem
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        avatar: _reactcomponents.slot.optional(props.avatar, {
            defaultProps: {
                shape: 'circle',
                size: 32
            },
            renderByDefault: true,
            elementType: _reactcomponents.SkeletonItem
        }),
        primaryText: _reactcomponents.slot.optional(props.primaryText, {
            defaultProps: {
                size: 12
            },
            renderByDefault: true,
            elementType: _reactcomponents.SkeletonItem
        }),
        secondaryText: _reactcomponents.slot.optional(props.secondaryText, {
            defaultProps: {
                size: 12
            },
            renderByDefault: true,
            elementType: _reactcomponents.SkeletonItem
        })
    };
}; //# sourceMappingURL=useGroundingMenuItemSkeleton.js.map
