"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    groundingMenuListboxClassNames: function() {
        return groundingMenuListboxClassNames;
    },
    useGroundingMenuListboxStyles_unstable: function() {
        return useGroundingMenuListboxStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _reactinputlistbox = require("@fluentui-copilot/react-input-listbox");
const groundingMenuListboxClassNames = {
    root: 'fai-GroundingMenuListbox'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "f1nv6vx3",
        E5pizo: "fs2ol7r",
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "fhmk59f",
        Bxyxcbc: "f1xxuklu",
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f2csjqn",
        De3pzq: "f1k92xex"
    }
}, {
    d: [
        [
            ".f1nv6vx3{grid-area:listbox;}",
            {
                p: -1
            }
        ],
        ".fs2ol7r{box-shadow:unset;}",
        [
            ".fhmk59f{border-radius:unset;}",
            {
                p: -1
            }
        ],
        ".f1xxuklu{max-height:unset;}",
        [
            ".f2csjqn{padding:var(--spacingVerticalS) var(--spacingHorizontalM);}",
            {
                p: -1
            }
        ],
        ".f1k92xex{background-color:unset;}"
    ]
});
const useGroundingMenuListboxStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingMenuListboxClassNames.root, styles.root, state.root.className);
    (0, _reactinputlistbox.useInputListboxStyles_unstable)(state);
    return state;
}; //# sourceMappingURL=useGroundingMenuListboxStyles.styles.js.map
