import { jsx as _jsx, jsxs as _jsxs } from "@fluentui/react-jsx-runtime/jsx-runtime";
import { Overflow } from '@fluentui/react-components';
import { assertSlots, TabListProvider } from '@fluentui/react-components';
/**
 * Render the final JSX of GroundingCommandBarTabList
 */
export const renderGroundingCommandBarTabList_unstable = (state, contextValues) => {
  assertSlots(state);
  return /*#__PURE__*/_jsx(Overflow, {
    padding: state.overflowPadding,
    minimumVisible: state.minimumVisible,
    children: /*#__PURE__*/_jsx(state.root, {
      children: /*#__PURE__*/_jsxs(TabListProvider, {
        value: contextValues.tabList,
        children: [state.root.children, state.overflowMenu && /*#__PURE__*/_jsx(state.overflowMenu, {})]
      })
    })
  });
};
//# sourceMappingURL=renderGroundingCommandBarTabList.js.map