import { __styles, mergeClasses, useTabListStyles_unstable } from '@fluentui/react-components';
export const groundingCommandBarTabListClassNames = {
  root: 'fai-GroundingCommandBarTabList',
  overflowMenu: 'fai-GroundingCommandBarTabList__overflowMenu'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f1j4951a",
    B68tc82: 0,
    Bmxbyg5: 0,
    Bpg54ce: "f1a3p1vp",
    a9b677: "fly5x3f",
    i8kkvl: 0,
    Belr9w4: 0,
    rmohyg: "f1c88k3p"
  }
}, {
  d: [[".f1j4951a{grid-area:tabs;}", {
    p: -1
  }], [".f1a3p1vp{overflow:hidden;}", {
    p: -1
  }], ".fly5x3f{width:100%;}", [".f1c88k3p{gap:0;}", {
    p: -1
  }]]
});
/**
 * Apply styling to the GroundingCommandBarTabList slots based on the state
 */
export const useGroundingCommandBarTabListStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(groundingCommandBarTabListClassNames.root, styles.root, state.root.className);
  if (state.overflowMenu) {
    state.overflowMenu.className = mergeClasses(groundingCommandBarTabListClassNames.overflowMenu, state.overflowMenu.className);
  }
  useTabListStyles_unstable(state);
  return state;
};
//# sourceMappingURL=useGroundingCommandBarTabListStyles.styles.js.map