import { __styles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
import { useInputListboxStyles_unstable } from '@fluentui-copilot/react-input-listbox';
import { GROUNDING_MENU_GRID_AREAS } from '../GroundingMenu/useGroundingMenuStyles.styles';
export const groundingMenuListboxClassNames = {
  root: 'fai-GroundingMenuListbox'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f1nv6vx3",
    E5pizo: "fs2ol7r",
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "fhmk59f",
    Bxyxcbc: "f1xxuklu",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "f2csjqn",
    De3pzq: "f1k92xex"
  }
}, {
  d: [[".f1nv6vx3{grid-area:listbox;}", {
    p: -1
  }], ".fs2ol7r{box-shadow:unset;}", [".fhmk59f{border-radius:unset;}", {
    p: -1
  }], ".f1xxuklu{max-height:unset;}", [".f2csjqn{padding:var(--spacingVerticalS) var(--spacingHorizontalM);}", {
    p: -1
  }], ".f1k92xex{background-color:unset;}"]
});
/**
 * Apply styling to the GroundingMenuListbox slots based on the state
 */
export const useGroundingMenuListboxStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(groundingMenuListboxClassNames.root, styles.root, state.root.className);
  useInputListboxStyles_unstable(state);
  return state;
};
//# sourceMappingURL=useGroundingMenuListboxStyles.styles.js.map